All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.security
Class SecuritySupport

    com.sas.security.SecuritySupport

    public class SecuritySupport

This class provides access to methods which are secure under one of the VM's which we support. Currently, the only two VM's supported are JavaSoft's and Microsoft's.

Field Summary
`static SecuritySupport` | `securitySupport` Users of the SecuritySupport class should not instantiate an instance of the class but rather go through the instance stored in the securitySupport field.

Constructor Summary
`SecuritySupport()`

Method Summary
`java.awt.Image` | `getImage(java.lang.Object src)`

Methods inherited from class com.sas.security.BaseSecuritySupport
`createThread, doThreadPrivileged, getBeanInfo, getConstructor, getDeclaredMethods, getLocalHostName, getMethod, getMethodExceptionTypes, getMethodModifiers, getMethodName, getMethodParameterTypes, getMethodReturnType, getPrivilegedLocalHostName, getProperty, getResource, getResourceAsStream, interrupt, invokeMethod, setProperties, socketAccept, stop`

Field Detail

### securitySupport

    public static SecuritySupport securitySupport

  Users of the SecuritySupport class should not instantiate an instance of the class but rather go through the instance stored in the securitySupport field. This will allow a subclass of the SecuritySupport class to be used for VM's other than JavaSoft's.

Constructor Detail

### SecuritySupport

    public SecuritySupport()

Method Detail

### getImage

    public java.awt.Image getImage(java.lang.Object src)
                            throws java.io.IOException,
                                   com.sas.visuals.image.ImageException

  Throws:
    `java.io.IOException`
    `com.sas.visuals.image.ImageException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.